- lines-in file-name READ_FILE ( string ->
                                           if (string, 1, 3 = '-- ') ->
                                             ...

                                             iterate
                                           else
                                             if (string = ';.') -> leave
                                             else iterate
                                           ;
                               )
